Bug 246151 - clamav-data: "Not supported data format": corrupt daily.cvd
clamav-data: "Not supported data format": corrupt daily.cvd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 16:25 EDT by Nick Urbanik
Modified: 2008-06-16 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Urbanik 2007-06-28 16:25:12 EDT
Description of problem:
After upgrading to f7 from fc6, could not start avavisd, even after fixing
/etc/clamd.d/amavisd.conf as described at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=237252#c1

$ sudo service clamd.amavisd start
Starting clamd.amavisd: Running as user amavis (UID 105, GID 107)
and in /var/log/maillog:
Jun 11 15:29:37 www3 clamd[30966]: Log file size limited to 1048576 bytes. 
Jun 11 15:29:37 www3 clamd[30966]: Reading databases from /var/lib/clamav 
Jun 11 15:29:37 www3 clamd[30966]: Not supported data format 
and then clamd dies.

I've been able to restart clamd.amavisd after setting up freshclam and
/etc/freshclam.

The daily.cvd file seems to have been corrupted, even though
rpm -V clamav-update showed no errors.  After replacing it using freshclam,
clamd can start, and finally I can receive email again.

Version-Release number of selected component (if applicable): 0.90.2-1.fc7


How reproducible: Have not tried upgrading other fc6 systems running avamisd-new
with clamav.


Steps to Reproduce:
1. Upgrade a machine from fc6 to f7 that runs avamisd-new with clamav and with
postfix as MTA.
2. Attempt to restart a stalled clamd as shown above.
3. In /var/log/maillog, see: Not supported data format, and clamd dies, and no
mail is delivered as a result.
  
Actual results: In /var/log/maillog, see: Not supported data format, and clamd
dies, and no mail is delivered as a result.


Expected results: no error message, clamd process continues, mail is delivered.


Additional info:
Comment 1 Nick Urbanik 2007-06-28 16:27:21 EDT
s/could not start avavisd/could not start clamd/
Comment 2 Jan ONDREJ 2007-08-30 03:35:12 EDT
Have you tryed to remove /var/lib/clamav/* and redownload it with freshclam?
May be it fixes your troubles.
Comment 3 Robert Scheck 2007-12-19 07:36:13 EST
The problem usually happens for me, if there's an update of the clamav rpm
package but incremental updates were done before by freshclam.
Comment 4 Bug Zapper 2008-05-14 09:18:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:43:55 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.